This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 608034 - No sata devices found on new mac mini 2010 (Nvidia MCP89 AHCI)
No sata devices found on new mac mini 2010 (Nvidia MCP89 AHCI)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-25 09:30 EDT by Jurgen Kramer
Modified: 2010-08-30 14:23 EDT (History)
7 users (show)

See Also:
Fixed In Version: kernel-2.6.34.6-47.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-30 14:23:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg output (40.66 KB, text/plain)
2010-06-26 05:29 EDT, Jurgen Kramer
no flags Details
dmesg output of patched kernel (49.18 KB, text/plain)
2010-06-30 12:58 EDT, Jurgen Kramer
no flags Details
patch for MCP89 mac mini 2010/macbook 7,1 against 2.6.35-0.19.rc3.git4 (4.61 KB, application/octet-stream)
2010-06-30 13:00 EDT, Jurgen Kramer
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 15923 None None None Never

  None (edit)
Description Jurgen Kramer 2010-06-25 09:30:20 EDT
Description of problem:
I'm trying to install F13 x86_64 on the new 2010 mac mini for use as a mediacenter frontend. Unfortunately no SATA devices are detected 

Version-Release number of selected component (if applicable):
kernel-2.6.33 (the one that comes with the installer)

How reproducible:
always

Steps to Reproduce:
1. Boot mac mini from F13 x86_64 DVD in text mode
2. ata error messages appear
3.
  
Actual results:
Anaconda report there are no HDD drives found



Expected results:
Both internal SATA HDD and SATA CD-ROM/DVD-ROM drive found.

Additional info:
The following messages appear in while booting in text mode:

ata2 link is slow to respond, please be patient (ready=0)
ata1 link is slow to respond, please be patient (ready=0)
ata1 COMRESET failded (errorno=-16)
ata2 COMRESET failded (errorno=-16)
ata1 link is slow to respond, please be patient (ready=0)
ata2 link is slow to respond, please be patient (ready=0)
ata1 COMRESET failded (errorno=-16)
ata2 COMRESET failded (errorno=-16)
ata2 link is slow to respond, please be patient (ready=0)
ata1 link is slow to respond, please be patient (ready=0)
<long timeout>

(Not the exact order)
ata2 limiting to 1.5GBps
ata1 reset failed, giving up

I tried booting with libata.force=1.5G but that did not help.


HW specs from Mac OS device inspector (for both ata1 and ata2):

Serial ATA:
Nvidia MCP AHCI:
Product: MCP89 AHCI
Link speed: 3 Gigabit
Negotiated Link speed: 1.5Gbit
AHCI version 1.30 supported
Comment 1 Jurgen Kramer 2010-06-25 09:57:36 EDT
kernel BZ: https://bugzilla.kernel.org/show_bug.cgi?id=15923
Comment 2 Jurgen Kramer 2010-06-26 05:28:46 EDT
Managed to install F13 on an external USB HDD and start a terminal from rescue mode. dmesg output attached.
Comment 3 Jurgen Kramer 2010-06-26 05:29:10 EDT
Created attachment 427054 [details]
dmesg output
Comment 4 Jurgen Kramer 2010-06-26 07:01:10 EDT
I've just tried the latest nightly desktop compose for x86_64 (http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/desktop-x86_64-20100625.15.iso) which has kernel kernel-2.6.35-0.2.rc3.git0.fc14.x86_64. Unfortunately the SATA problem remains the same (as is the ethernet problem)
Comment 5 Chuck Ebbert 2010-06-26 16:55:52 EDT
Patches have been sent to the list but are not even queued in libata-dev.git yet.
Comment 6 Jurgen Kramer 2010-06-29 12:41:54 EDT
Checking the proposed patches (sent to linux-ide) I'm wondering if there not specific for the Macbook 7,1:

+	/*
+	 * For some reason, MCP89 on MacBook 7,1 doesn't work with
+	 * ahci, use ata_generic instead.
+	 */
+	if (pdev->vendor == PCI_VENDOR_ID_NVIDIA &&
+	    pdev->device == PCI_DEVICE_ID_NVIDIA_NFORCE_MCP89_SATA &&
+	    pdev->subsystem_vendor == PCI_VENDOR_ID_APPLE &&
+	    pdev->subsystem_device == 0xcb89)
+		return -ENODEV;
+

It would be a shame if the patches make into the next kernel and do not support the new mac mini. Does the patch make it work for alle Apple devices with a MCP89 SATA controller? (my guess is that's correct but I am not sure).
Comment 7 Jurgen Kramer 2010-06-30 12:56:47 EDT
I've managed to get a custom patched version of kernel-2.6.35-0.19.rc3.git4.fc14.src.rpm (from koji) build on my other F13 system and created a patch from the info in the kernel BZ. I have now a booting 2010 mac mini (installed F13 on it via firewire target disk mode).

Patch and dmesg output attached.

Excerpt from dmesg:

ta_generic 0000:00:0a.0: power state changed by ACPI to D0
[Firmware Bug]: ACPI(IGPU) defines _DOD but not _DOS
input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:30/LNXVIDEO:00/input/input3
ACPI: Video Device [IGPU] (multi-head: yes  rom: no  post: no)
ata_generic 0000:00:0a.0: power state changed by ACPI to D0
ACPI: PCI Interrupt Link [LSI0] enabled at IRQ 23
ata_generic 0000:00:0a.0: PCI INT A -> Link[LSI0] -> GSI 23 (level, low) -> IRQ 23
ata_generic 0000:00:0a.0: setting latency timer to 64
scsi0 : ata_generic
firewire_ohci 0000:02:00.0: PCI INT A -> Link[Z00B] -> GSI 23 (level, low) -> IRQ 23
scsi1 : ata_generic
ata1: PATA max UDMA/100 cmd 0x2298 ctl 0x22a4 bmdma 0x2280 irq 23
ata2: PATA max UDMA/100 cmd 0x2290 ctl 0x22a0 bmdma 0x2288 irq 23
firewire_ohci: Added fw-ohci device 0000:02:00.0, OHCI v1.10, 8 IR + 8 IT contexts, quirks 0x2
ata1.00: ATA-8: TOSHIBA MK3255GSXF, FH415B, max UDMA/100
ata1.00: 625142448 sectors, multi 16: LBA48 NCQ (depth 0/32)
ata1.00: configured for UDMA/100
scsi 0:0:0:0: Direct-Access     ATA      TOSHIBA MK3255GS FH41 PQ: 0 ANSI: 5
sd 0:0:0:0: [sda] 625142448 512-byte logical blocks: (320 GB/298 GiB)
sd 0:0:0:0: Attached scsi generic sg0 type 0
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
 sda:
usb 4-5: new low speed USB device using ohci_hcd and address 2
 sda1 sda2 sda3 sda4
sd 0:0:0:0: [sda] Attached SCSI disk
ata2.01: NODEV after polling detection
ata2.00: ATAPI: HL-DT-STDVDRW  GA32N, KC08, max UDMA/100
ata2.00: configured for UDMA/100
scsi 1:0:0:0: CD-ROM            HL-DT-ST DVDRW  GA32N     KC08 PQ: 0 ANSI: 5
sr0: scsi3-mmc drive: 24x/24x writer cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
sr 1:0:0:0: Attached scsi CD-ROM sr0
sr 1:0:0:0: Attached scsi generic sg1 type 5
Comment 8 Jurgen Kramer 2010-06-30 12:58:38 EDT
Created attachment 428042 [details]
dmesg output of patched kernel
Comment 9 Jurgen Kramer 2010-06-30 13:00:14 EDT
Created attachment 428043 [details]
patch for MCP89 mac mini 2010/macbook 7,1 against  2.6.35-0.19.rc3.git4
Comment 11 Jurgen Kramer 2010-07-05 11:29:08 EDT
Patches now in 2.6.35-rc4. I will test as soon as there is a src.rpm or rpm for it. My patch does not force DMA and disk performance is very low.
Comment 12 Chuck Ebbert 2010-07-07 00:09:54 EDT
Fixed in kernel-2.6.34.1-46.2.10.fc14, which will become an F-13 update kernel soon.
Comment 13 Jurgen Kramer 2010-07-14 11:00:52 EDT
I've tested kernel-2.6.34.1-9.fc13.x86_64 from koji and can confirm that it works just fine. The forced DMA makes all the difference (as a workaround for AHCI mode not working). I hope this kernel will make it to F13 updates soon ;-)
Comment 14 Fedora Update System 2010-08-07 01:01:23 EDT
kernel-2.6.34.2-34.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kernel-2.6.34.2-34.fc13
Comment 15 Fedora Update System 2010-08-07 19:29:18 EDT
kernel-2.6.34.2-34.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kernel-2.6.34.2-34.fc13
Comment 16 Fedora Update System 2010-08-10 19:54:18 EDT
kernel-2.6.34.3-37.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kernel-2.6.34.3-37.fc13
Comment 17 Fedora Update System 2010-08-11 03:26:38 EDT
kernel-2.6.34.3-37.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kernel-2.6.34.3-37.fc13
Comment 18 Chuck Ebbert 2010-08-18 05:44:19 EDT
2.6.34 update kernel has been withdrawn.
Comment 19 Fedora Update System 2010-08-27 07:23:47 EDT
kernel-2.6.34.6-47.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/kernel-2.6.34.6-47.fc13
Comment 20 Fedora Update System 2010-08-30 14:22:31 EDT
kernel-2.6.34.6-47.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.